Bug 184894 - games/bastet: Fix build on -current
Summary: games/bastet: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2014-02-06 15:45 UTC (History)
0 users

See Also:


Attachments
file.diff (3.03 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:26 UTC
- Fix build on -current

New file:
files/patch-BastetBlockChooser.hpp
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:45:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-25 16:54:01 UTC
Author: miwi
Date: Sat Jan 25 16:53:54 2014
New Revision: 341056
URL: http://svnweb.freebsd.org/changeset/ports/341056
QAT: https://qat.redports.org/buildarchive/r341056/

Log:
  - Fix build
  - Stage support
  
  PR:		184894
  Submitted by:	ports fury

Added:
  head/games/bastet/files/
  head/games/bastet/files/patch-BastetBlockChooser.hpp   (contents, props changed)
Modified:
  head/games/bastet/Makefile

Modified: head/games/bastet/Makefile
==============================================================================
--- head/games/bastet/Makefile	Sat Jan 25 16:51:55 2014	(r341055)
+++ head/games/bastet/Makefile	Sat Jan 25 16:53:54 2014	(r341056)
@@ -9,36 +9,45 @@ MASTER_SITES=	http://fph.altervista.org/
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An ncurses Tetris clone which is harder than every other Tetris
+COMMENT=	Ncurses Tetris clone which is harder than every other Tetris
 
 LICENSE=	GPLv3 # (or later)
 
 LIB_DEPENDS=	libboost_program_options.so:${PORTSDIR}/devel/boost-libs
 
-USES=		ncurses
-USE_GMAKE=	yes
+USES=		gmake ncurses
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN6=		bastet.6
-PLIST_FILES=	bin/bastet
+PLIST_FILES=	bin/bastet man/man6/bastet.6.gz
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} != "i386"
+.if ${OSVERSION} < 1000024
+.if exists(/usr/bin/clang)
+CC=		clang
+CXX=		clang++
+CPP=		clang-cpp
+.else
+.if ${ARCH} == "i386"
+CXXFLAGS+=	-fexceptions
+.else
 USE_GCC=	yes
 .endif
+.endif
+.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e \
 		's|^CXXFLAGS+=-D|CXXFLAGS+=$$(CPPFLAGS) -D| ; \
-		 s|$$(CXX) -MM|$$(CXX) $$(CPPFLAGS) -MM| ; \
+		 s|$$(CXX) -MM|$$(CXX) $$(CXXFLAGS) -MM| ; \
 		 s| -ggdb | |' ${WRKSRC}/Makefile
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/bastet ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/bastet.6 ${MAN6PREFIX}/man/man6
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} bastet \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} bastet.6 \
+		${STAGEDIR}${MAN6PREFIX}/man/man6)
 
 .include <bsd.port.post.mk>

Added: head/games/bastet/files/patch-BastetBlockChooser.hpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/bastet/files/patch-BastetBlockChooser.hpp	Sat Jan 25 16:53:54 2014	(r341056)
@@ -0,0 +1,47 @@
+--- BastetBlockChooser.hpp.orig	2009-03-21 06:49:31.000000000 +0900
++++ BastetBlockChooser.hpp	2013-11-29 22:35:48.000000000 +0900
+@@ -23,19 +23,32 @@
+ 
+ #include "Well.hpp"
+ 
++#if !defined(_LIBCPP_VERSION)
+ #include <tr1/unordered_set>
++#else
++#include <unordered_set>
++#endif
+ #include <set>
+ #include <boost/functional/hash.hpp>
+ 
++#if !defined(_LIBCPP_VERSION)
+ //boilerplate to use boost::hash as std::tr1::hash
+ namespace std{namespace tr1{
++#else
++//boilerplate to use boost::hash as std::hash
++namespace std{
++#endif
+     template<> struct hash<Bastet::BlockPosition>{
+       size_t operator()(const Bastet::BlockPosition &fb) const{
+ 	static boost::hash<Bastet::BlockPosition> h;
+ 	return h(fb);
+       }
+     };
++#if !defined(_LIBCPP_VERSION)
+   }}
++#else
++  }
++#endif
+ 
+ namespace Bastet{
+ 
+@@ -83,7 +96,11 @@
+   public:
+     Searcher(BlockType b, const Well *well, Vertex v, WellVisitor *visitor);
+   private:
++#if !defined(_LIBCPP_VERSION)
+     std::tr1::unordered_set<Vertex> _visited;
++#else
++    std::unordered_set<Vertex> _visited;
++#endif
+     //std::set<Vertex> _visited; ^^ the above is more efficient, we need to do many inserts
+     BlockType _block;
+     const Well *_well;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2014-02-06 15:45:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!